org.jenkinsci.constant_pool_scanner

## Enum ConstantType

- java.lang.Object
- - java.lang.Enum<ConstantType>
  - - org.jenkinsci.constant_pool_scanner.ConstantType

All Implemented Interfaces:
  Serializable, Comparable<ConstantType>

    public enum ConstantType
    extends Enum<ConstantType>

Types of constants.

Author:
  Kohsuke Kawaguchi

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLASS`
`DOUBLE`
`FIELD_REF`
`FLOAT`
`INTEGER`
`INTERFACE_METHOD_REF`
`LONG`
`METHOD_REF`
`NAME_AND_TYPE`
`STRING`
`UTF8`

### Field Summary

Fields
`int` `tag` Constant pool tag
`Class` `valueType` The type of the constant object this kind will produce.

### Method Summary

Methods
`static ConstantType` `fromTag(int tag)`
`static ConstantType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConstantType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UTF8

    public static final ConstantType UTF8

#### CLASS

    public static final ConstantType CLASS

#### NAME_AND_TYPE

    public static final ConstantType NAME_AND_TYPE

#### FIELD_REF

    public static final ConstantType FIELD_REF

#### METHOD_REF

    public static final ConstantType METHOD_REF

#### INTERFACE_METHOD_REF

    public static final ConstantType INTERFACE_METHOD_REF

#### STRING

    public static final ConstantType STRING

#### INTEGER

    public static final ConstantType INTEGER

#### FLOAT

    public static final ConstantType FLOAT

#### LONG

    public static final ConstantType LONG

#### DOUBLE

    public static final ConstantType DOUBLE

### Field Detail

#### valueType

    public final Class valueType

The type of the constant object this kind will produce.

#### tag

    public final int tag

Constant pool tag

### Method Detail

#### values

    public static ConstantType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConstantType c : ConstantType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConstantType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromTag

    public static ConstantType fromTag(int tag)